wibble::Position Struct Reference

`#include <parse.h>`

## Public Member Functions

| Position ()
bool | operator== (const Position &o) const

## Public Attributes

std::string | source
int | line
int | column

## Constructor & Destructor Documentation

## Position()

wibble::Position::Position | ( |  | ) |

inline

## Member Function Documentation

## operator==()

bool wibble::Position::operator== | ( | const Position & | o | ) | const

inline

References column, line, and source.

## Member Data Documentation

## column

int wibble::Position::column

Referenced by wibble::Lexer< Token, Stream >::consume(), wibble::ParseContext< Token, Stream >::error(), and operator==().

## line

int wibble::Position::line

Referenced by wibble::Lexer< Token, Stream >::consume(), wibble::ParseContext< Token, Stream >::error(), and operator==().

## source

std::string wibble::Position::source

Referenced by operator==().

The documentation for this struct was generated from the following file:

- parse.h